export { Query, World, Bucket } from "./core.js";
export type { Strict, With, Without } from "./core.js";
export { hasAnyComponents, hasComponents, hasNoComponents } from "./helpers.js";
/**
 * A simple queue (powered by [@hmans/queue](https://github.com/hmans/things/tree/main/packages/hmans-queue))
 * that can be used to schedule work to be done later. This is mostly provided as a convenience
 * to make upgrading from Miniplex 1.0 (which had queuing functionality built-in) a little easier,
 * and it will be deprecated in a future version.
 */
export declare const queue: {
    (fn: Function): void;
    clear: () => void;
    flush: () => void;
};
